library(mvtnorm)
library(scatterplot3d)
sigma.zero <- matrix(c(1,0.5,0.5,1), ncol=2)
x <- seq(-3, 3, length=30)
y <- x
f <- function(x,y) {
  dmvnorm(matrix(c(x,y), ncol=2), mean=c(0,0), sigma=sigma.zero)
}
z <- outer(x, y, f)
z[is.na(z)] <- 1
op <- par(bg = "white")
persp(x, y, z, theta = 30, phi = 30, expand = 0.5, col = "gray")